/* Copyright (c) 1991 by John Atwood deVries II. */
/* For copying and distribution information, see the file COPYING */

#include "ipcf.h"
#include "groups.h"
#include "users.h"

/* external definitions for "go" global variables */
/* system stuff */
extern long time();

/* defined in port.c */
extern char *hostname;		/* default hostname for connects */
extern int portnumber;		/* default INET port number */

/* defined in split.c */
extern char *fields[MAX_FIELDS];/* split fields */

/* global go variables settable with gorc */
extern GLOBS gv;
extern TTYINFO ttyinfo;

/* defined in globals.c */
extern char *pp;		/* packet pointer */
extern char *pbuf;		/* packet buffer pointer */
extern char MyString[80];	/* some string as argument group */
extern char *mbuf;		/* message buffer */
extern char *mbuf2;		/* message buffer */
extern char thishost[132];	/* our hostname */
extern time_t curtime;		/* current time */
extern USER_ITEM u_tab[MAX_USERS];	/* user table */
extern GROUP_ITEM g_tab[MAX_GROUPS];	/* group table */
extern struct item nicktable[TABSIZE];	/* table to be searched */
extern int numnicks;		/* how many nicknames are registered */
extern int debug;
extern char *program;

/* lookup tables */
/* commands */
extern char *command_table[];
/* status options */
extern char *status_table[];
/* automagic resident user commands */
extern char *auto_table[];

/* if there is a connection to kill, else 0 */
extern int S_kill;

/* flags set in .gorc */
extern int m_watchtime;		/* using boring time format */
