/* Copyright (c) 1991 by John Atwood deVries II. */
/* For copying and distribution information, see the file COPYING. */

#include "lookup.h"
#include "server.h"
#include "externs.h"
#include "../h/protocol.h"
#include <strings.h>

/* look up a string in the command table */
/* case insensitive compares */

int
lookup(s, table)
	char   *s;
	char   *table[];
{
	int     i;
	int     result = -1;

	for (i = 0; table[i] != 0; i++) {
		if (strcasecmp(s, table[i]) == 0) {
			result = i;
			break;
		}
	}
	return result;
}


/* starting at a word, find the start of the next one */
char   *
nextword(s)
	char   *s;
{
	while (*s != ' ' && *s != '\t' && *s != '\0')
		s++;
	while ((*s == ' ' || *s == '\t') && *s != '\0')
		s++;
	if (*s == '\0')
		return (0);
	else
		return (s);
}
