/* Copyright (c) 1991 by John Atwood deVries II. */
/* For copying and distribution information, see the file COPYING. */

/* screen and logfile printing routines */

#include "server.h"
#include "externs.h"
#include <unistd.h>

/* function declarations */
extern FILE *logfp;

/* write to the screen, and maybe to the logfile and review buffer */
void
putl(s, flags)
	char   *s;
	int     flags;
{
	char    printbuf[1024];
	char   *p = printbuf;
	char   *t = s;

	if (flags & PL_SCR) {

		/* write to the screen */
		while (*t != '\0')
			*p++ = *t++;
		*p++ = '\r';
		*p++ = '\n';
		write(1, printbuf, p - printbuf);
	}
	/* put line into session log */
	if ((flags & PL_LOG) && logfp != NULL) {
		fputs(s, logfp);
		putc('\n', logfp);
	}
}
