/* Copyright 1991 by John Atwood deVries II. */
/* For copying and distribution information, see the file COPYING. */

/* primitive to handle information requests */

#include "server.h"
#include "externs.h"
#include <strings.h>

/* function prototypes */
extern void mdb(char *);
extern char *getword(char *);
extern int find_user(char *);
extern void send_info(int, char *, char *);

void
s_info(n, argc)
	int     n;
	int     argc;
{
	char    TheirName[20];
	char    loginid[MAX_IDLEN + 1];
	char    nodeid[MAX_NODELEN + 1];
	int     TheirIndex;

	if (argc == 2) {

		bzero(TheirName, 20);
		bzero(loginid, MAX_IDLEN + 1);
		bzero(nodeid, MAX_NODELEN + 1);
		strcpy(TheirName, getword(fields[1]));

		TheirIndex = find_user(TheirName);

		if (TheirIndex < 0) {
			strcpy(loginid, "unknown");
			strcpy(nodeid, "not-on");
		} else {
			strcpy(loginid, u_tab[TheirIndex].loginid);
			strcpy(nodeid, u_tab[TheirIndex].nodeid);
		}

		send_info(n, loginid, nodeid);
	} else {
		mdb("info: wrong number of parz");
	}
}
