/* Copyright 1991 by John Atwood deVries II. */
/* For copying and distribution information, see the file COPYING. */

/* primitive to send a personal message */

#include "server.h"
#include "externs.h"

/* function declarations */
extern int find_user(char *);
extern char *getword(char *);
extern void senderror(int, char *);
extern void sendperson(int, int, char *);
extern char *get_tail(char *);
extern void mdb(char *);

void
s_personal(n, argc)
	int     n;
	int     argc;
{
	int     dest;

	if (argc == 2) {
		/* constraints: destination nickname exists */

		if ((dest = find_user(getword(fields[1]))) < 0) {
			/* error - no such nick */
			sprintf(mbuf, "%s not signed on.", getword(fields[1]));
			senderror(n, mbuf);
		} else {
			/* send a message to that nick */
			sendperson(n, dest, get_tail(fields[1]));
		}

		/* side-effects: none */
	} else {
		mdb("personal: wrong number of parz");
	}
}
