/* Copyright 1991 by John Atwood deVries II. */
/* For copying and distribution information, see the file COPYING. */

/* primitive to print the version */

#include "server.h"
#include "config.h"
#include "externs.h"
#include <stdio.h>
#include <strings.h>

/* function prototypes */
extern void mdb(char *);
extern void sends_cmdout(int, char *);
extern void senderror(int, char *);

void
s_version(n, argc)
	int     n;
	int     argc;
{
	FILE   *version_fp;
	char   *c;
	int     mlen;

	if (argc == 2) {

		/* BUG the location of the version file ought to be determined
		 * better, or ought to be determined at compile time */
		version_fp = fopen(ICBDVERSION, "r");

		/* if the file is there, list it, otherwise report error */
		if (version_fp != NULL) {

			/* list the file in lines of 80 chars. or less */
			while ((c = fgets(mbuf, 80, version_fp)) != NULL) {

				/* get rid of EOL if possible */
				if ((mlen = strlen(mbuf)) > 0)
					mbuf[mlen - 1] = '\0';

				sends_cmdout(n, mbuf);
			}
			fclose(version_fp);
		} else {
			senderror(n, "No version file found.");
		}
	} else {
		mdb("version: wrong number of parz");
	}
}
