/* Copyright (c) 1988 Carrick Sean Casey. All rights reserved. */

#include <stdio.h>
#include "../server/ipcf.h"
#include "functions.h"

void
packetsend(s, pkt)
	int     s;
	char   *pkt;
{
	switch (_sendpacket(s, pkt)) {
	case 1:
		/* ok */
		break;
	case 0:
		/* incomplete packet */
		disconnectuser(s);
		break;
	case -1:
		/* error */
		/* DEBUG - this should log an error */
		disconnectuser(s);
		break;
	case -2:
		/* lost connection */
		disconnectuser(s);
		break;
	}
}
