/*
	Copyright (c) 1991 by Keith Graham
	Modifications Copyright (c) 1991 by John Atwood deVries II

	"to" is the destination socket..
*/

#include "server.h"
#include "externs.h"
#include <strings.h>

void
user_wline(to, mod, nick, idle, resp, login, user, site, name)
	int     to;
	char   *mod, *nick;
	int     idle, resp, login;
	char   *user, *site, *name;
{
	sprintf(mbuf,
	    "%cwl\001%s\001%s\001%ld\001%ld\001%ld\001%s\001%s\001%s%c",
	    M_CMDOUT, mod, nick, idle, resp, login, user, site,
	    name, '\0');
	sendline(to, mbuf);
}

void
user_wgroupline(to, group, topic, c, d)
	int     to;
	char   *group;
	char   *topic;
{
	sprintf(mbuf,
	    "%cwg\001%s\001%s\001%s\001%s%c",
	    M_CMDOUT, group, topic, c, d, '\0');
	sendline(to, mbuf);
}

void
user_ghead(to)
	int     to;
{
	sprintf(mbuf, "%cgh%c", M_CMDOUT, '\0');
	sendline(to, mbuf);
}

void
user_whead(to)
	int     to;
{
	sprintf(mbuf, "%cwh%c", M_CMDOUT, '\0');
	sendline(to, mbuf);
}
