/* Copyright 1991 by John Atwood deVries II. */
/* For copying and distribution information, see the file COPYING. */

/* primitive to print the motd */

#include "server.h"
#include "config.h"
#include "externs.h"
#include <stdio.h>
#include <strings.h>

/* function declarations */
extern void sends_cmdout(int, char *);
extern void senderror(int, char *);
extern void mdb(char *);

void
s_motd(n, argc)
	int     n;
	int     argc;
{
	FILE   *motd_fp;
	char   *c;
	int     mlen;

	if (argc == 2) {

		/* BUG the location of the motd file ought to be determined
		 * better */
		motd_fp = fopen(ICBDMOTD, "r");

		/* if the file is there, list it, otherwise report error */
		if (motd_fp != NULL) {

			/* list the file in lines of 80 chars. or less */
			while ((c = fgets(mbuf, 80, motd_fp)) != NULL) {

				/* get rid of EOL if possible */
				if ((mlen = strlen(mbuf)) > 0)
					mbuf[mlen - 1] = '\0';

				sends_cmdout(n, mbuf);
			}
			fclose(motd_fp);
		} else {
			senderror(n, "No MOTD file found.");
		}
	} else {
		mdb("motd: wrong number of parz");
	}
}
